=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2009-04-28 01:03:16 +0000
+++ drizzled/field.cc	2009-04-28 21:46:57 +0000
@@ -1207,7 +1207,7 @@
 }
 
 
-/* This is used to generate a field in Table from TABLE_SHARE */
+/* This is used to generate a field in Table from TableShare */
 
 Field *Field::clone(MEM_ROOT *root, Table *new_table)
 {
@@ -1616,7 +1616,7 @@
 }
 
 
-Field *make_field(TABLE_SHARE *share, MEM_ROOT *root,
+Field *make_field(TableShare *share, MEM_ROOT *root,
                   unsigned char *ptr, uint32_t field_length,
 		  unsigned char *null_pos, unsigned char null_bit,
 		  uint32_t pack_flag,

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2009-04-28 00:17:10 +0000
+++ drizzled/field.h	2009-04-28 21:46:57 +0000
@@ -44,7 +44,7 @@
 class Create_field;
 class virtual_column_info;
 
-class TABLE_SHARE;
+class TableShare;
 
 class Field;
 
@@ -667,7 +667,7 @@
 };
 
 
-Field *make_field(TABLE_SHARE *share, MEM_ROOT *root, unsigned char *ptr, uint32_t field_length,
+Field *make_field(TableShare *share, MEM_ROOT *root, unsigned char *ptr, uint32_t field_length,
                   unsigned char *null_pos, unsigned char null_bit,
                   uint32_t pack_flag, enum_field_types field_type,
                   const CHARSET_INFO * cs,

=== modified file 'drizzled/field/blob.cc'
--- drizzled/field/blob.cc	2009-04-08 23:01:10 +0000
+++ drizzled/field/blob.cc	2009-04-28 21:46:57 +0000
@@ -44,7 +44,7 @@
 
 Field_blob::Field_blob(unsigned char *ptr_arg, unsigned char *null_ptr_arg, unsigned char null_bit_arg,
 		       enum utype unireg_check_arg, const char *field_name_arg,
-                       TABLE_SHARE *share, uint32_t blob_pack_length,
+                       TableShare *share, uint32_t blob_pack_length,
 		       const CHARSET_INFO * const cs)
   :Field_longstr(ptr_arg, blob_pack_length_to_max_length(blob_pack_length),
                  null_ptr_arg, null_bit_arg, unireg_check_arg, field_name_arg,

=== modified file 'drizzled/field/blob.h'
--- drizzled/field/blob.h	2009-04-07 03:23:49 +0000
+++ drizzled/field/blob.h	2009-04-28 21:46:57 +0000
@@ -41,7 +41,7 @@
 
   Field_blob(unsigned char *ptr_arg, unsigned char *null_ptr_arg, unsigned char null_bit_arg,
 	     enum utype unireg_check_arg, const char *field_name_arg,
-	     TABLE_SHARE *share, uint32_t blob_pack_length, const CHARSET_INFO * const cs);
+	     TableShare *share, uint32_t blob_pack_length, const CHARSET_INFO * const cs);
   Field_blob(uint32_t len_arg, bool maybe_null_arg, const char *field_name_arg,
              const CHARSET_INFO * const cs)
     :Field_longstr((unsigned char*) 0, len_arg, maybe_null_arg ? (unsigned char*) "": 0, 0,

=== modified file 'drizzled/field/timestamp.cc'
--- drizzled/field/timestamp.cc	2009-03-08 23:45:12 +0000
+++ drizzled/field/timestamp.cc	2009-04-28 21:46:57 +0000
@@ -77,7 +77,7 @@
                                  unsigned char *null_ptr_arg, unsigned char null_bit_arg,
                                  enum utype unireg_check_arg,
                                  const char *field_name_arg,
-                                 TABLE_SHARE *share,
+                                 TableShare *share,
                                  const CHARSET_INFO * const cs)
   :Field_str(ptr_arg, MAX_DATETIME_WIDTH, null_ptr_arg, null_bit_arg,
 	     unireg_check_arg, field_name_arg, cs)

=== modified file 'drizzled/field/timestamp.h'
--- drizzled/field/timestamp.h	2009-02-17 14:41:01 +0000
+++ drizzled/field/timestamp.h	2009-04-28 21:46:57 +0000
@@ -23,7 +23,7 @@
 
 #include <drizzled/field/str.h>
 
-class TABLE_SHARE;
+class TableShare;
 typedef struct charset_info_st CHARSET_INFO;
 
 class Field_timestamp :public Field_str {
@@ -36,7 +36,7 @@
   Field_timestamp(unsigned char *ptr_arg, uint32_t len_arg,
                   unsigned char *null_ptr_arg, unsigned char null_bit_arg,
                   enum utype unireg_check_arg, const char *field_name_arg,
-                  TABLE_SHARE *share, const CHARSET_INFO * const cs);
+                  TableShare *share, const CHARSET_INFO * const cs);
   Field_timestamp(bool maybe_null_arg, const char *field_name_arg,
                   const CHARSET_INFO * const cs);
   enum_field_types type() const { return DRIZZLE_TYPE_TIMESTAMP;}

=== modified file 'drizzled/field/varstring.cc'
--- drizzled/field/varstring.cc	2009-02-21 00:18:15 +0000
+++ drizzled/field/varstring.cc	2009-04-28 21:46:57 +0000
@@ -52,7 +52,7 @@
                                  unsigned char null_bit_arg,
                                  enum utype unireg_check_arg,
                                  const char *field_name_arg,
-                                 TABLE_SHARE *share,
+                                 TableShare *share,
                                  const CHARSET_INFO * const cs)
   :Field_longstr(ptr_arg, len_arg, null_ptr_arg, null_bit_arg,
                  unireg_check_arg, field_name_arg, cs),
@@ -63,7 +63,7 @@
 
 Field_varstring::Field_varstring(uint32_t len_arg,bool maybe_null_arg,
                                  const char *field_name_arg,
-                                 TABLE_SHARE *share,
+                                 TableShare *share,
                                  const CHARSET_INFO * const cs)
   :Field_longstr((unsigned char*) 0,len_arg,
                  maybe_null_arg ? (unsigned char*) "": 0, 0,

=== modified file 'drizzled/field/varstring.h'
--- drizzled/field/varstring.h	2009-01-30 04:39:04 +0000
+++ drizzled/field/varstring.h	2009-04-28 21:46:57 +0000
@@ -44,10 +44,10 @@
                   uint32_t len_arg, uint32_t length_bytes_arg,
                   unsigned char *null_ptr_arg, unsigned char null_bit_arg,
                   enum utype unireg_check_arg, const char *field_name_arg,
-                  TABLE_SHARE *share, const CHARSET_INFO * const cs);
+                  TableShare *share, const CHARSET_INFO * const cs);
   Field_varstring(uint32_t len_arg,bool maybe_null_arg,
                   const char *field_name_arg,
-                  TABLE_SHARE *share, const CHARSET_INFO * const cs);
+                  TableShare *share, const CHARSET_INFO * const cs);
 
   enum_field_types type() const { return DRIZZLE_TYPE_VARCHAR; }
   enum ha_base_keytype key_type() const;

=== modified file 'drizzled/field_iterator.cc'
--- drizzled/field_iterator.cc	2009-02-07 22:02:41 +0000
+++ drizzled/field_iterator.cc	2009-04-28 21:46:57 +0000
@@ -137,7 +137,7 @@
     return natural_join_it.column_ref()->db_name();
 
   /*
-    Test that TableList::db is the same as TABLE_SHARE::db to
+    Test that TableList::db is the same as TableShare::db to
     ensure consistency. An exception are I_S schema tables, which
     are inconsistent in this respect.
   */

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2009-04-13 16:22:40 +0000
+++ drizzled/handler.cc	2009-04-28 21:46:57 +0000
@@ -1060,7 +1060,7 @@
   return end_bulk_insert();
 }
 
-void handler::change_table_ptr(Table *table_arg, TABLE_SHARE *share)
+void handler::change_table_ptr(Table *table_arg, TableShare *share)
 {
   table= table_arg;
   table_share= share;

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2009-04-12 07:28:35 +0000
+++ drizzled/handler.h	2009-04-28 21:46:57 +0000
@@ -52,7 +52,7 @@
 
 class Table;
 class TableList;
-class TABLE_SHARE;
+class TableShare;
 class Select_Lex_Unit;
 struct st_foreign_key_info;
 typedef struct st_foreign_key_info FOREIGN_KEY_INFO;
@@ -161,7 +161,7 @@
   typedef uint64_t Table_flags;
 
 protected:
-  TABLE_SHARE *table_share;   /* The table definition */
+  TableShare *table_share;   /* The table definition */
   Table *table;               /* The current open table */
   Table_flags cached_table_flags;       /* Set on init() and open() */
 
@@ -232,7 +232,7 @@
   */
   Discrete_interval auto_inc_interval_for_cur_row;
 
-  handler(StorageEngine *engine_arg, TABLE_SHARE *share_arg)
+  handler(StorageEngine *engine_arg, TableShare *share_arg)
     :table_share(share_arg), table(0),
     estimation_rows_to_insert(0), engine(engine_arg),
     ref(0), in_range_check_pushed_down(false),
@@ -312,7 +312,7 @@
   virtual void print_error(int error, myf errflag);
   virtual bool get_error_message(int error, String *buf);
   uint32_t get_dup_key(int error);
-  virtual void change_table_ptr(Table *table_arg, TABLE_SHARE *share);
+  virtual void change_table_ptr(Table *table_arg, TableShare *share);
 
   /* Estimates calculation */
   virtual double scan_time(void)
@@ -1296,10 +1296,10 @@
 bool mysql_truncate(Session *session, TableList *table_list, bool dont_send_ok);
 uint32_t create_table_def_key(Session *session, char *key, TableList *table_list,
                               bool tmp_table);
-TABLE_SHARE *get_table_share(Session *session, TableList *table_list, char *key,
+TableShare *get_table_share(Session *session, TableList *table_list, char *key,
                              uint32_t key_length, uint32_t db_flags, int *error);
-void release_table_share(TABLE_SHARE *share, enum release_type type);
-TABLE_SHARE *get_cached_table_share(const char *db, const char *table_name);
+void release_table_share(TableShare *share, enum release_type type);
+TableShare *get_cached_table_share(const char *db, const char *table_name);
 Table *open_ltable(Session *session, TableList *table_list, thr_lock_type update,
                    uint32_t lock_flags);
 Table *open_table(Session *session, TableList *table_list, bool *refresh, uint32_t flags);
@@ -1318,7 +1318,7 @@
 void close_data_files_and_morph_locks(Session *session, const char *db,
                                       const char *table_name);
 void close_handle_and_leave_table_as_lock(Table *table);
-bool open_new_frm(Session *session, TABLE_SHARE *share, const char *alias,
+bool open_new_frm(Session *session, TableShare *share, const char *alias,
                   uint32_t db_stat, uint32_t prgflag,
                   uint32_t ha_open_flags, Table *outparam,
                   TableList *table_desc, MEM_ROOT *mem_root);

=== modified file 'drizzled/natural_join_column.cc'
--- drizzled/natural_join_column.cc	2009-01-17 17:08:25 +0000
+++ drizzled/natural_join_column.cc	2009-04-28 21:46:57 +0000
@@ -41,7 +41,7 @@
 const char *Natural_join_column::db_name()
 {
   /*
-    Test that TableList::db is the same as TABLE_SHARE::db to
+    Test that TableList::db is the same as TableShare::db to
     ensure consistency. An exception are I_S schema tables, which
     are inconsistent in this respect.
   */

=== modified file 'drizzled/plugin/storage_engine.cc'
--- drizzled/plugin/storage_engine.cc	2009-04-28 21:21:12 +0000
+++ drizzled/plugin/storage_engine.cc	2009-04-28 21:46:57 +0000
@@ -126,7 +126,7 @@
 }
 
 
-handler *get_new_handler(TABLE_SHARE *share, MEM_ROOT *alloc,
+handler *get_new_handler(TableShare *share, MEM_ROOT *alloc,
                          StorageEngine *engine)
 {
   handler *file;
@@ -581,7 +581,7 @@
 int ha_delete_table(Session *session, const char *path,
                     const char *db, const char *alias, bool generate_warning)
 {
-  TABLE_SHARE dummy_share;
+  TableShare dummy_share;
   Table dummy_table;
   memset(&dummy_table, 0, sizeof(dummy_table));
   memset(&dummy_share, 0, sizeof(dummy_share));
@@ -657,7 +657,7 @@
   Table table;
   char name_buff[FN_REFLEN];
   const char *name;
-  TABLE_SHARE share;
+  TableShare share;
 
   init_tmp_table_share(&share, db, 0, table_name, path);
   if (open_table_def(session, &share, 0) ||

=== modified file 'drizzled/plugin/storage_engine.h'
--- drizzled/plugin/storage_engine.h	2009-04-08 09:42:38 +0000
+++ drizzled/plugin/storage_engine.h	2009-04-28 21:46:57 +0000
@@ -33,7 +33,7 @@
 class XID;
 class handler;
 
-class TABLE_SHARE;
+class TableShare;
 typedef struct st_mysql_lex_string LEX_STRING;
 typedef bool (stat_print_fn)(Session *session, const char *type, uint32_t type_len,
                              const char *file, uint32_t file_len,
@@ -224,7 +224,7 @@
   virtual int  recover(XID *, uint32_t) { return 0; }
   virtual int  commit_by_xid(XID *) { return 0; }
   virtual int  rollback_by_xid(XID *) { return 0; }
-  virtual handler *create(TABLE_SHARE *, MEM_ROOT *)= 0;
+  virtual handler *create(TableShare *, MEM_ROOT *)= 0;
   /* args: path */
   virtual void drop_database(char*) { }
   virtual int start_consistent_snapshot(Session *) { return 0; }
@@ -246,7 +246,7 @@
 /* lookups */
 StorageEngine *ha_default_storage_engine(Session *session);
 StorageEngine *ha_resolve_by_name(Session *session, const LEX_STRING *name);
-handler *get_new_handler(TABLE_SHARE *share, MEM_ROOT *alloc,
+handler *get_new_handler(TableShare *share, MEM_ROOT *alloc,
                          StorageEngine *db_type);
 const std::string ha_resolve_storage_engine_name(const StorageEngine *db_type);
 

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-04-28 21:21:12 +0000
+++ drizzled/server_includes.h	2009-04-28 21:46:57 +0000
@@ -187,15 +187,15 @@
 
 
 /* table.cc */
-TABLE_SHARE *alloc_table_share(TableList *table_list, char *key,
+TableShare *alloc_table_share(TableList *table_list, char *key,
                                uint32_t key_length);
-void init_tmp_table_share(TABLE_SHARE *share, const char *key,
+void init_tmp_table_share(TableShare *share, const char *key,
                           uint32_t key_length,
                           const char *table_name, const char *path);
-void free_table_share(TABLE_SHARE *share);
-int open_table_def(Session *session, TABLE_SHARE *share, uint32_t db_flags);
-void open_table_error(TABLE_SHARE *share, int error, int db_errno, int errarg);
-int open_table_from_share(Session *session, TABLE_SHARE *share, const char *alias,
+void free_table_share(TableShare *share);
+int open_table_def(Session *session, TableShare *share, uint32_t db_flags);
+void open_table_error(TableShare *share, int error, int db_errno, int errarg);
+int open_table_from_share(Session *session, TableShare *share, const char *alias,
                           uint32_t db_stat, uint32_t prgflag, uint32_t ha_open_flags,
                           Table *outparam, open_table_mode open_mode);
 int readfrm(const char *name, unsigned char **data, size_t *length);

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-04-28 00:17:10 +0000
+++ drizzled/show.cc	2009-04-28 21:46:57 +0000
@@ -614,7 +614,7 @@
   KEY *key_info;
   Table *table= table_list->table;
   handler *file= table->file;
-  TABLE_SHARE *share= table->s;
+  TableShare *share= table->s;
   HA_CREATE_INFO create_info;
   bool show_table_options= false;
   bitset<MAX_FIELDS> *old_bitmap;
@@ -2332,7 +2332,7 @@
                                       enum enum_schema_tables)
 {
   Table *table= tables->table;
-  TABLE_SHARE *share;
+  TableShare *share;
   Table tbl;
   TableList table_list;
   uint32_t res= 0;
@@ -2719,7 +2719,7 @@
   {
     char option_buff[400],*ptr;
     Table *show_table= tables->table;
-    TABLE_SHARE *share= show_table->s;
+    TableShare *share= show_table->s;
     handler *file= show_table->file;
     StorageEngine *tmp_db_type= share->db_type();
     if (share->tmp_table == SYSTEM_TMP_TABLE)
@@ -2978,7 +2978,7 @@
   const char *wild= lex->wild ? lex->wild->ptr() : NULL;
   const CHARSET_INFO * const cs= system_charset_info;
   Table *show_table;
-  TABLE_SHARE *show_table_share;
+  TableShare *show_table_share;
   Field **ptr, *field, *timestamp_field;
   int count;
 

=== modified file 'drizzled/sj_tmp_table.cc'
--- drizzled/sj_tmp_table.cc	2009-04-28 21:21:12 +0000
+++ drizzled/sj_tmp_table.cc	2009-04-28 21:46:57 +0000
@@ -61,7 +61,7 @@
 {
   MEM_ROOT *mem_root_save, own_root;
   Table *table;
-  TABLE_SHARE *share;
+  TableShare *share;
   uint32_t temp_pool_slot= MY_BIT_NONE;
   char  *tmpname,path[FN_REFLEN];
   Field **reg_field;

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-04-28 21:21:12 +0000
+++ drizzled/sql_base.cc	2009-04-28 21:46:57 +0000
@@ -58,7 +58,7 @@
 Table *unused_tables;				/* Used by mysql_test */
 HASH open_cache;				/* Used by mysql_test */
 static HASH table_def_cache;
-static TABLE_SHARE *oldest_unused_share, end_of_unused_share;
+static TableShare *oldest_unused_share, end_of_unused_share;
 static pthread_mutex_t LOCK_table_share;
 static bool table_def_inited= 0;
 
@@ -150,19 +150,19 @@
 
 
 /*****************************************************************************
-  Functions to handle table definition cach (TABLE_SHARE)
+  Functions to handle table definition cach (TableShare)
 *****************************************************************************/
 
 extern "C" unsigned char *table_def_key(const unsigned char *record, size_t *length,
                                 bool )
 {
-  TABLE_SHARE *entry=(TABLE_SHARE*) record;
+  TableShare *entry=(TableShare*) record;
   *length= entry->table_cache_key.length;
   return (unsigned char*) entry->table_cache_key.str;
 }
 
 
-static void table_def_free_entry(TABLE_SHARE *share)
+static void table_def_free_entry(TableShare *share)
 {
   if (share->prev)
   {
@@ -209,7 +209,7 @@
 
 
 /*
-  Get TABLE_SHARE for a table.
+  Get TableShare for a table.
 
   get_table_share()
   session			Thread handle
@@ -233,15 +233,15 @@
    #  Share for table
 */
 
-TABLE_SHARE *get_table_share(Session *session, TableList *table_list, char *key,
+TableShare *get_table_share(Session *session, TableList *table_list, char *key,
                              uint32_t key_length, uint32_t db_flags, int *error)
 {
-  TABLE_SHARE *share;
+  TableShare *share;
 
   *error= 0;
 
   /* Read table definition from cache */
-  if ((share= (TABLE_SHARE*) hash_search(&table_def_cache,(unsigned char*) key,
+  if ((share= (TableShare*) hash_search(&table_def_cache,(unsigned char*) key,
                                          key_length)))
     goto found;
 
@@ -320,12 +320,12 @@
   For arguments and return values, see get_table_from_share()
 */
 
-static TABLE_SHARE
+static TableShare
 *get_table_share_with_create(Session *session, TableList *table_list,
                              char *key, uint32_t key_length,
                              uint32_t db_flags, int *error)
 {
-  TABLE_SHARE *share;
+  TableShare *share;
 
   share= get_table_share(session, table_list, key, key_length, db_flags, error);
   /*
@@ -376,7 +376,7 @@
      that the table is deleted or the thread is killed.
 */
 
-void release_table_share(TABLE_SHARE *share,
+void release_table_share(TableShare *share,
                          enum release_type )
 {
   bool to_be_deleted= 0;
@@ -423,10 +423,10 @@
 
   RETURN
     0  Not cached
-    #  TABLE_SHARE for table
+    #  TableShare for table
 */
 
-TABLE_SHARE *get_cached_table_share(const char *db, const char *table_name)
+TableShare *get_cached_table_share(const char *db, const char *table_name)
 {
   char key[NAME_LEN*2+2];
   TableList table_list;
@@ -436,7 +436,7 @@
   table_list.db= (char*) db;
   table_list.table_name= (char*) table_name;
   key_length= create_table_def_key((Session*) 0, key, &table_list, 0);
-  return (TABLE_SHARE*) hash_search(&table_def_cache,(unsigned char*) key, key_length);
+  return (TableShare*) hash_search(&table_def_cache,(unsigned char*) key, key_length);
 }
 
 
@@ -460,7 +460,7 @@
 
 void close_handle_and_leave_table_as_lock(Table *table)
 {
-  TABLE_SHARE *share, *old_share= table->s;
+  TableShare *share, *old_share= table->s;
   char *key_buff;
   MEM_ROOT *mem_root= &table->mem_root;
 
@@ -525,7 +525,7 @@
   {
     OPEN_TableList *table;
     Table *entry=(Table*) hash_element(&open_cache,idx);
-    TABLE_SHARE *share= entry->s;
+    TableShare *share= entry->s;
 
     if (db && my_strcasecmp(system_charset_info, db, share->db.str))
       continue;
@@ -827,7 +827,7 @@
 
   for (idx= 0; idx < table_def_cache.records; idx++)
   {
-    TABLE_SHARE *share= (TABLE_SHARE *) hash_element(&table_def_cache, idx);
+    TableShare *share= (TableShare *) hash_element(&table_def_cache, idx);
 
     /* Ignore if table is not open or does not have a connect_string */
     if (!share->connect_string.length || !share->ref_count)
@@ -1406,7 +1406,7 @@
 {
   char *key;
   uint32_t key_length;
-  TABLE_SHARE *share= table->s;
+  TableShare *share= table->s;
   TableList table_list;
 
   if (!(key=(char*) alloc_root(&share->mem_root, MAX_DBKEY_LENGTH)))
@@ -1638,7 +1638,7 @@
 bool reopen_name_locked_table(Session* session, TableList* table_list, bool link_in)
 {
   Table *table= table_list->table;
-  TABLE_SHARE *share;
+  TableShare *share;
   char *table_name= table_list->table_name;
   Table orig_table;
 
@@ -1718,7 +1718,7 @@
                                       uint32_t key_length)
 {
   Table *table;
-  TABLE_SHARE *share;
+  TableShare *share;
   char *key_buff;
 
   safe_mutex_assert_owner(&LOCK_open);
@@ -2359,7 +2359,7 @@
           the function probably has to be adjusted before it can be used
           anywhere outside ALTER Table.
 
-    @note Must not use TABLE_SHARE::table_name/db of the table being closed,
+    @note Must not use TableShare::table_name/db of the table being closed,
           the strings are used in a loop even after the share may be freed.
 */
 
@@ -2790,7 +2790,7 @@
                              char *cache_key, uint32_t cache_key_length)
 {
   int error;
-  TABLE_SHARE *share;
+  TableShare *share;
   uint32_t discover_retry_count= 0;
 
   safe_mutex_assert_owner(&LOCK_open);
@@ -3440,7 +3440,7 @@
                             open_table_mode open_mode)
 {
   Table *tmp_table;
-  TABLE_SHARE *share;
+  TableShare *share;
   char cache_key[MAX_DBKEY_LENGTH], *saved_cache_key, *tmp_path;
   uint32_t key_length, path_length;
   TableList table_list;
@@ -3455,7 +3455,7 @@
                                    path_length + 1 + key_length)))
     return NULL;
 
-  share= (TABLE_SHARE*) (tmp_table+1);
+  share= (TableShare*) (tmp_table+1);
   tmp_path= (char*) (share+1);
   saved_cache_key= strcpy(tmp_path, path)+path_length+1;
   memcpy(saved_cache_key, cache_key, key_length);
@@ -3515,7 +3515,7 @@
   if(delete_table_proto_file(path))
     error=1; /* purecov: inspected */
 
-  file= get_new_handler((TABLE_SHARE*) 0, current_session->mem_root, base);
+  file= get_new_handler((TableShare*) 0, current_session->mem_root, base);
   if (file && file->ha_delete_table(path))
   {
     error=1;
@@ -3703,7 +3703,7 @@
     if (field_ptr)
     {
       /*
-        field_ptr points to field in TABLE_SHARE. Convert it to the matching
+        field_ptr points to field in TableShare. Convert it to the matching
         field in table
       */
       field_ptr= (table->field + (field_ptr - table->s->field));
@@ -3932,7 +3932,7 @@
     if (field_ptr)
     {
       /*
-        field_ptr points to field in TABLE_SHARE. Convert it to the matching
+        field_ptr points to field in TableShare. Convert it to the matching
         field in table
       */
       field_ptr= (table->field + (field_ptr - table->s->field));
@@ -5787,7 +5787,7 @@
   char	filePath[FN_REFLEN], filePathCopy[FN_REFLEN];
   MY_DIR *dirp;
   FILEINFO *file;
-  TABLE_SHARE share;
+  TableShare share;
   Session *session;
 
   assert(drizzle_tmpdir);
@@ -5925,7 +5925,7 @@
   char *key_pos= key;
   uint32_t key_length;
   Table *table;
-  TABLE_SHARE *share;
+  TableShare *share;
   bool result= 0, signalled= 0;
 
   key_pos= strcpy(key_pos, db) + strlen(db);
@@ -5987,7 +5987,7 @@
       hash_delete(&open_cache,(unsigned char*) unused_tables);
 
     /* Remove table from table definition cache if it's not in use */
-    if ((share= (TABLE_SHARE*) hash_search(&table_def_cache,(unsigned char*) key,
+    if ((share= (TableShare*) hash_search(&table_def_cache,(unsigned char*) key,
                                            key_length)))
     {
       share->version= 0;                          // Mark for delete

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2009-04-28 00:17:10 +0000
+++ drizzled/sql_base.h	2009-04-28 21:46:57 +0000
@@ -23,13 +23,13 @@
 #include <stdint.h>
 #include <drizzled/table.h>
 
-class TABLE_SHARE;
+class TableShare;
 
 void table_cache_free(void);
 bool table_cache_init(void);
 bool table_def_init(void);
 void table_def_free(void);
-void assign_new_table_id(TABLE_SHARE *share);
+void assign_new_table_id(TableShare *share);
 uint32_t cached_open_tables(void);
 uint32_t cached_table_definitions(void);
 

=== modified file 'drizzled/sql_delete.cc'
--- drizzled/sql_delete.cc	2009-04-12 18:37:16 +0000
+++ drizzled/sql_delete.cc	2009-04-28 21:46:57 +0000
@@ -796,7 +796,7 @@
   if (!dont_send_ok && (table= find_temporary_table(session, table_list)))
   {
     StorageEngine *table_type= table->s->db_type();
-    TABLE_SHARE *share= table->s;
+    TableShare *share= table->s;
 
     if (!table_type->check_flag(HTON_BIT_CAN_RECREATE))
       goto trunc_by_del;

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2009-04-28 21:21:12 +0000
+++ drizzled/sql_insert.cc	2009-04-28 21:46:57 +0000
@@ -1459,7 +1459,7 @@
                                       DRIZZLE_LOCK **lock)
 {
   Table tmp_table;		// Used during 'Create_field()'
-  TABLE_SHARE share;
+  TableShare share;
   Table *table= 0;
   uint32_t select_field_count= items->elements;
   /* Add selected items to field list */

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-04-28 00:17:10 +0000
+++ drizzled/sql_table.cc	2009-04-28 21:46:57 +0000
@@ -423,7 +423,7 @@
 
   for (table= tables; table; table= table->next_local)
   {
-    TABLE_SHARE *share;
+    TableShare *share;
     table->db_type= NULL;
     if ((share= get_cached_table_share(table->db, table->table_name)))
       table->db_type= share->db_type();
@@ -1725,7 +1725,7 @@
   if (create_info->row_type == ROW_TYPE_DYNAMIC)
     db_options|=HA_OPTION_PACK_RECORD;
   alias= table_case_name(create_info, table_name);
-  if (!(file= get_new_handler((TABLE_SHARE*) 0, session->mem_root,
+  if (!(file= get_new_handler((TableShare*) 0, session->mem_root,
                               create_info->db_type)))
   {
     my_error(ER_OUTOFMEMORY, MYF(0), sizeof(handler));
@@ -2065,7 +2065,7 @@
   int error=0;
 
   file= (base == NULL ? 0 :
-         get_new_handler((TABLE_SHARE*) 0, session->mem_root, base));
+         get_new_handler((TableShare*) 0, session->mem_root, base));
 
   build_table_filename(from, sizeof(from), old_db, old_name, "",
                        flags & FN_FROM_IS_TMP);
@@ -2204,7 +2204,7 @@
 {
   int error= 0;
   Table tmp_table, *table;
-  TABLE_SHARE *share;
+  TableShare *share;
   char from[FN_REFLEN],tmp[FN_REFLEN+32];
   const char **ext;
   struct stat stat_info;
@@ -4479,7 +4479,7 @@
     case ENABLE:
       /*
         wait_while_table_is_used() ensures that table being altered is
-        opened only by this thread and that Table::TABLE_SHARE::version
+        opened only by this thread and that Table::TableShare::version
         of Table object corresponding to this table is 0.
         The latter guarantees that no DML statement will open this table
         until ALTER Table finishes (i.e. until close_thread_tables())

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-04-28 21:21:12 +0000
+++ drizzled/table.cc	2009-04-28 21:46:57 +0000
@@ -51,7 +51,7 @@
 
 /* Functions defined in this file */
 
-void open_table_error(TABLE_SHARE *share, int error, int db_errno,
+void open_table_error(TableShare *share, int error, int db_errno,
                       myf errortype, int errarg);
 static void fix_type_pointers(const char ***array, TYPELIB *point_to_type,
                               uint32_t types, char **names);
@@ -114,7 +114,7 @@
 
 
 /*
-  Allocate a setup TABLE_SHARE structure
+  Allocate a setup TableShare structure
 
   SYNOPSIS
     alloc_table_share()
@@ -127,11 +127,11 @@
     #  Share
 */
 
-TABLE_SHARE *alloc_table_share(TableList *table_list, char *key,
+TableShare *alloc_table_share(TableList *table_list, char *key,
                                uint32_t key_length)
 {
   MEM_ROOT mem_root;
-  TABLE_SHARE *share;
+  TableShare *share;
   char *key_buff, *path_buff;
   char path[FN_REFLEN];
   uint32_t path_length;
@@ -188,7 +188,7 @@
     use key_length= 0 as neither table_cache_key or key_length will be used).
 */
 
-void init_tmp_table_share(TABLE_SHARE *share, const char *key,
+void init_tmp_table_share(TableShare *share, const char *key,
                           uint32_t key_length, const char *table_name,
                           const char *path)
 {
@@ -222,7 +222,7 @@
     share->mutex must be locked when we come here if it's not a temp table
 */
 
-void free_table_share(TABLE_SHARE *share)
+void free_table_share(TableShare *share)
 {
   MEM_ROOT mem_root;
   assert(share->ref_count == 0);
@@ -366,7 +366,7 @@
   return default_item;
 }
 
-int parse_table_proto(Session *session, drizzled::message::Table &table, TABLE_SHARE *share)
+int parse_table_proto(Session *session, drizzled::message::Table &table, TableShare *share)
 {
   int error= 0;
   handler *handler_file= NULL;
@@ -1344,7 +1344,7 @@
    6    Unknown .frm version
 */
 
-int open_table_def(Session *session, TABLE_SHARE *share, uint32_t)
+int open_table_def(Session *session, TableShare *share, uint32_t)
 {
   int error;
   bool error_given;
@@ -1396,7 +1396,7 @@
 
 
 /*
-  Open a table based on a TABLE_SHARE
+  Open a table based on a TableShare
 
   SYNOPSIS
     open_table_from_share()
@@ -1423,7 +1423,7 @@
    7    Table definition has changed in engine
 */
 
-int open_table_from_share(Session *session, TABLE_SHARE *share, const char *alias,
+int open_table_from_share(Session *session, TableShare *share, const char *alias,
                           uint32_t db_stat, uint32_t prgflag, uint32_t ha_open_flags,
                           Table *outparam, open_table_mode open_mode)
 {
@@ -1849,7 +1849,7 @@
 
 	/* error message when opening a form file */
 
-void open_table_error(TABLE_SHARE *share, int error, int db_errno, int errarg)
+void open_table_error(TableShare *share, int error, int db_errno, int errarg)
 {
   int err_no;
   char buff[FN_REFLEN];
@@ -3318,7 +3318,7 @@
 {
   MEM_ROOT *mem_root_save, own_root;
   Table *table;
-  TABLE_SHARE *share;
+  TableShare *share;
   uint	i,field_count,null_count,null_pack_length;
   uint32_t  copy_func_count= param->func_count;
   uint32_t  hidden_null_count, hidden_null_pack_length, hidden_field_count;
@@ -4017,7 +4017,7 @@
   uint32_t *blob_field;
   unsigned char *bitmaps;
   Table *table;
-  TABLE_SHARE *share;
+  TableShare *share;
 
   if (!multi_alloc_root(session->mem_root,
                         &table, sizeof(*table),
@@ -4164,7 +4164,7 @@
   int error;
   MI_KEYDEF keydef;
   MI_UNIQUEDEF uniquedef;
-  TABLE_SHARE *share= s;
+  TableShare *share= s;
 
   if (share->keys)
   {						// Get keys for ni_create
@@ -4309,7 +4309,7 @@
 			     int error, bool ignore_last_dupp_key_error)
 {
   Table new_table;
-  TABLE_SHARE share;
+  TableShare share;
   const char *save_proc_info;
   int write_err;
 

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2009-04-28 00:17:10 +0000
+++ drizzled/table.h	2009-04-28 21:46:57 +0000
@@ -72,12 +72,12 @@
 class Table {
 
 public:
-  TABLE_SHARE	*s;
+  TableShare	*s;
   Table() {}                               /* Remove gcc warning */
 
   /* SHARE methods */
-  inline TABLE_SHARE *getShare() { return s; } /* Get rid of this long term */
-  inline void setShare(TABLE_SHARE *new_share) { s= new_share; } /* Get rid of this long term */
+  inline TableShare *getShare() { return s; } /* Get rid of this long term */
+  inline void setShare(TableShare *new_share) { s= new_share; } /* Get rid of this long term */
   inline uint32_t sizeKeys() { return s->keys; }
   inline uint32_t sizeFields() { return s->fields; }
   inline uint32_t getRecordLength() { return s->reclength; }
@@ -134,7 +134,7 @@
     A set of keys that can be used in the query that references this
     table.
 
-    All indexes disabled on the table's TABLE_SHARE (see Table::s) will be
+    All indexes disabled on the table's TableShare (see Table::s) will be
     subtracted from this set upon instantiation. Thus for any Table t it holds
     that t.keys_in_use_for_query is a subset of t.s.keys_in_use. Generally we
     must not introduce any new keys here (see setup_tables).
@@ -246,7 +246,7 @@
   /*
     Placeholder for an open table which prevents other connections
     from taking name-locks on this table. Typically used with
-    TABLE_SHARE::version member to take an exclusive name-lock on
+    TableShare::version member to take an exclusive name-lock on
     this table name -- a name lock that not only prevents other
     threads from opening the table, but also blocks other name
     locks. This is achieved by:

=== modified file 'drizzled/table_share.h'
--- drizzled/table_share.h	2009-04-28 21:09:52 +0000
+++ drizzled/table_share.h	2009-04-28 21:46:57 +0000
@@ -24,10 +24,10 @@
   This class is shared between different table objects. There is one
   instance of table share per one table in the database.
 */
-class TABLE_SHARE
+class TableShare
 {
 public:
-  TABLE_SHARE() {}                    /* Remove gcc warning */
+  TableShare() {}                    /* Remove gcc warning */
 
   /** Category of this table. */
   enum_table_category table_category;
@@ -40,7 +40,7 @@
   TYPELIB *intervals;			/* pointer to interval info */
   pthread_mutex_t mutex;                /* For locking the share  */
   pthread_cond_t cond;			/* To signal that share is ready */
-  TABLE_SHARE *next,		/* Link to unused shares */
+  TableShare *next,		/* Link to unused shares */
     **prev;
 
   /* The following is copied to each Table on OPEN */
@@ -144,7 +144,7 @@
     NOTES
       Since 'key_buff' buffer will be referenced from share it should has same
       life-time as share itself.
-      This method automatically ensures that TABLE_SHARE::table_name/db have
+      This method automatically ensures that TableShare::table_name/db have
       appropriate values by using table cache key as their source.
   */
 

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2009-04-10 23:38:17 +0000
+++ storage/archive/ha_archive.cc	2009-04-28 21:46:57 +0000
@@ -129,7 +129,7 @@
 {
 public:
   ArchiveEngine(const string &name_arg) : StorageEngine(name_arg) {}
-  virtual handler *create(TABLE_SHARE *table,
+  virtual handler *create(TableShare *table,
                           MEM_ROOT *mem_root)
   {
     return new (mem_root) ha_archive(this, table);
@@ -185,7 +185,7 @@
 }
 
 
-ha_archive::ha_archive(StorageEngine *engine_arg, TABLE_SHARE *table_arg)
+ha_archive::ha_archive(StorageEngine *engine_arg, TableShare *table_arg)
   :handler(engine_arg, table_arg), delayed_insert(0), bulk_insert(0)
 {
   /* Set our original buffer from pre-allocated memory */

=== modified file 'storage/archive/ha_archive.h'
--- storage/archive/ha_archive.h	2009-03-24 18:13:47 +0000
+++ storage/archive/ha_archive.h	2009-04-28 21:46:57 +0000
@@ -80,7 +80,7 @@
   void destroy_record_buffer(archive_record_buffer *r);
 
 public:
-  ha_archive(StorageEngine *engine, TABLE_SHARE *table_arg);
+  ha_archive(StorageEngine *engine, TableShare *table_arg);
   ~ha_archive()
   {
   }

=== modified file 'storage/blackhole/ha_blackhole.cc'
--- storage/blackhole/ha_blackhole.cc	2009-04-10 23:38:17 +0000
+++ storage/blackhole/ha_blackhole.cc	2009-04-28 21:46:57 +0000
@@ -28,7 +28,7 @@
 public:
   BlackholeEngine(const string &name_arg)
    : StorageEngine(name_arg, HTON_CAN_RECREATE) {}
-  virtual handler *create(TABLE_SHARE *table,
+  virtual handler *create(TableShare *table,
                           MEM_ROOT *mem_root)
   {
     return new (mem_root) ha_blackhole(this, table);
@@ -48,7 +48,7 @@
 *****************************************************************************/
 
 ha_blackhole::ha_blackhole(StorageEngine *engine_arg,
-                           TABLE_SHARE *table_arg)
+                           TableShare *table_arg)
   :handler(engine_arg, table_arg)
 {}
 

=== modified file 'storage/blackhole/ha_blackhole.h'
--- storage/blackhole/ha_blackhole.h	2009-03-24 18:13:47 +0000
+++ storage/blackhole/ha_blackhole.h	2009-04-28 21:46:57 +0000
@@ -45,7 +45,7 @@
   st_blackhole_share *share;
 
 public:
-  ha_blackhole(StorageEngine *engine, TABLE_SHARE *table_arg);
+  ha_blackhole(StorageEngine *engine, TableShare *table_arg);
   ~ha_blackhole()
   {
   }

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2009-04-12 07:28:35 +0000
+++ storage/csv/ha_tina.cc	2009-04-28 21:46:57 +0000
@@ -110,7 +110,7 @@
   Tina(const string& name_arg)
    : StorageEngine(name_arg, HTON_CAN_RECREATE | HTON_SUPPORT_LOG_TABLES |
                              HTON_NO_PARTITION) {}
-  virtual handler *create(TABLE_SHARE *table,
+  virtual handler *create(TableShare *table,
                           MEM_ROOT *mem_root)
   {
     return new (mem_root) ha_tina(this, table);
@@ -434,7 +434,7 @@
 
 
 
-ha_tina::ha_tina(StorageEngine *engine_arg, TABLE_SHARE *table_arg)
+ha_tina::ha_tina(StorageEngine *engine_arg, TableShare *table_arg)
   :handler(engine_arg, table_arg),
   /*
     These definitions are found in handler.h

=== modified file 'storage/csv/ha_tina.h'
--- storage/csv/ha_tina.h	2009-03-24 18:13:47 +0000
+++ storage/csv/ha_tina.h	2009-04-28 21:46:57 +0000
@@ -91,7 +91,7 @@
   int init_data_file();
 
 public:
-  ha_tina(StorageEngine *engine, TABLE_SHARE *table_arg);
+  ha_tina(StorageEngine *engine, TableShare *table_arg);
   ~ha_tina()
   {
     if (chain_alloced)

=== modified file 'storage/heap/ha_heap.cc'
--- storage/heap/ha_heap.cc	2009-04-12 20:55:58 +0000
+++ storage/heap/ha_heap.cc	2009-04-28 21:46:57 +0000
@@ -42,7 +42,7 @@
     addAlias("HEAP");
   }
 
-  virtual handler *create(TABLE_SHARE *table,
+  virtual handler *create(TableShare *table,
                           MEM_ROOT *mem_root)
   {
     return new (mem_root) ha_heap(this, table);
@@ -74,7 +74,7 @@
 ** HEAP tables
 *****************************************************************************/
 
-ha_heap::ha_heap(StorageEngine *engine_arg, TABLE_SHARE *table_arg)
+ha_heap::ha_heap(StorageEngine *engine_arg, TableShare *table_arg)
   :handler(engine_arg, table_arg), file(0), records_changed(0), key_stat_version(0),
   internal_table(0)
 {}
@@ -635,7 +635,7 @@
   HA_KEYSEG *seg;
   char buff[FN_REFLEN];
   int error;
-  TABLE_SHARE *share= table_arg->s;
+  TableShare *share= table_arg->s;
   bool found_real_auto_increment= 0;
 
   if (!(columndef= (HP_COLUMNDEF*) malloc(column_count * sizeof(HP_COLUMNDEF))))

=== modified file 'storage/heap/ha_heap.h'
--- storage/heap/ha_heap.h	2009-03-24 18:13:47 +0000
+++ storage/heap/ha_heap.h	2009-04-28 21:46:57 +0000
@@ -38,7 +38,7 @@
   uint32_t    key_stat_version;
   bool internal_table;
 public:
-  ha_heap(StorageEngine *engine, TABLE_SHARE *table);
+  ha_heap(StorageEngine *engine, TableShare *table);
   ~ha_heap() {}
   handler *clone(MEM_ROOT *mem_root);
   const char *table_type() const

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2009-04-12 20:55:58 +0000
+++ storage/innobase/handler/ha_innodb.cc	2009-04-28 21:46:57 +0000
@@ -282,7 +282,7 @@
   			/* out: 0 or error number */
   	XID	*xid);	/* in: X/Open XA transaction identification */
 
-  virtual handler *create(TABLE_SHARE *table,
+  virtual handler *create(TableShare *table,
                           MEM_ROOT *mem_root)
   {
     return new (mem_root) ha_innobase(this, table);
@@ -1297,7 +1297,7 @@
 /*************************************************************************
 Construct ha_innobase handler. */
 UNIV_INTERN
-ha_innobase::ha_innobase(StorageEngine *engine_arg, TABLE_SHARE *table_arg)
+ha_innobase::ha_innobase(StorageEngine *engine_arg, TableShare *table_arg)
   :handler(engine_arg, table_arg),
   int_table_flags(HA_REC_NOT_IN_SEQ |
 		  HA_NULL_IN_KEY |

=== modified file 'storage/innobase/handler/ha_innodb.h'
--- storage/innobase/handler/ha_innodb.h	2009-03-24 18:13:47 +0000
+++ storage/innobase/handler/ha_innodb.h	2009-04-28 21:46:57 +0000
@@ -95,7 +95,7 @@
 
 	/* Init values for the class: */
  public:
-	ha_innobase(StorageEngine *engine, TABLE_SHARE *table_arg);
+	ha_innobase(StorageEngine *engine, TableShare *table_arg);
 	~ha_innobase();
 	/*
 	  Get the row type from the storage engine.  If this method returns

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2009-04-12 20:55:58 +0000
+++ storage/myisam/ha_myisam.cc	2009-04-28 21:46:57 +0000
@@ -66,7 +66,7 @@
   MyisamEngine(string name_arg)
    : StorageEngine(name_arg, HTON_CAN_RECREATE | HTON_SUPPORT_LOG_TABLES) {}
 
-  virtual handler *create(TABLE_SHARE *table,
+  virtual handler *create(TableShare *table,
                           MEM_ROOT *mem_root)
   {
     return new (mem_root) ha_myisam(this, table);
@@ -155,7 +155,7 @@
   MI_KEYDEF *keydef;
   MI_COLUMNDEF *recinfo, *recinfo_pos;
   HA_KEYSEG *keyseg;
-  TABLE_SHARE *share= table_arg->s;
+  TableShare *share= table_arg->s;
   uint32_t options= share->db_options_in_use;
   if (!(my_multi_malloc(MYF(MY_WME),
           recinfo_out, (share->fields * 2 + 2) * sizeof(MI_COLUMNDEF),
@@ -483,7 +483,7 @@
 
 }
 
-ha_myisam::ha_myisam(StorageEngine *engine_arg, TABLE_SHARE *table_arg)
+ha_myisam::ha_myisam(StorageEngine *engine_arg, TableShare *table_arg)
   :handler(engine_arg, table_arg), file(0),
   int_table_flags(HA_NULL_IN_KEY |
                   HA_BINLOG_ROW_CAPABLE |
@@ -1532,7 +1532,7 @@
   }
   if (flag & HA_STATUS_CONST)
   {
-    TABLE_SHARE *share= table->s;
+    TableShare *share= table->s;
     stats.max_data_file_length=  misam_info.max_data_file_length;
     stats.max_index_file_length= misam_info.max_index_file_length;
     stats.create_time= misam_info.create_time;
@@ -1653,7 +1653,7 @@
   MI_KEYDEF *keydef;
   MI_COLUMNDEF *recinfo;
   MI_CREATE_INFO create_info;
-  TABLE_SHARE *share= table_arg->s;
+  TableShare *share= table_arg->s;
   uint32_t options= share->db_options_in_use;
   if ((error= table2myisam(table_arg, &keydef, &recinfo, &create_records)))
     return(error); /* purecov: inspected */

=== modified file 'storage/myisam/ha_myisam.h'
--- storage/myisam/ha_myisam.h	2009-03-24 18:13:47 +0000
+++ storage/myisam/ha_myisam.h	2009-04-28 21:46:57 +0000
@@ -52,7 +52,7 @@
   int repair(Session *session, MI_CHECK &param, bool optimize);
 
  public:
-  ha_myisam(StorageEngine *engine, TABLE_SHARE *table_arg);
+  ha_myisam(StorageEngine *engine, TableShare *table_arg);
   ~ha_myisam() {}
   handler *clone(MEM_ROOT *mem_root);
   const char *table_type() const { return "MyISAM"; }

